xcb_input_xi_allow_events(3)

NAME
xcb_input_xi_allow_events -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_void_cookie_t xcb_input_xi_allow_events(xcb_connection_t *conn, xcb_timestamp_t time, xcb_input_device_id_t deviceid, uint8_t event_mode, uint32_t touchid, xcb_window_t grab_window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

time
    TODO: NOT YET DOCUMENTED.

deviceid
    TODO: NOT YET DOCUMENTED.

event_mode
    TODO: NOT YET DOCUMENTED.

touchid
    TODO: NOT YET DOCUMENTED.

grab_window
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_input_xi_allow_events_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.